#!/bin/bash

amixer set PreDriv,0 33%,33% unmute >/dev/null
dbus-send --print-reply --dest=com.meego.core.MNotificationManager /notificationmanager com.meego.core.MNotificationManager.addNotification uint32:1000 uint32:0 string:'custom' string:'Volume Settings' string:'Speaker Volume 33%' string:'' string:'/opt/volume/audio64.png' uint32:0 > /dev/null
echo '# Description of the script, mandatory
description "Set PreDriv channel at startup script"

# Author e-mail address, mandatory
author "revoltism@gmail.com"

# stop when xsession is stopped
stop on stopping xsession

# stdout to /dev/null, use "console output" to direct stdout to console (optional)
console none

# Start myapp as user
exec '"amixer set PreDriv,0 33%,33% unmute >/dev/null" > /etc/init/apps/predriv.conf